python-repoze.sphinx.autointerface_0.6.2-2_all.deb


Advertisement

Description

python-repoze.sphinx.autointerface - Sphinx extension that auto-generates API docs from Zope interfaces

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-repoze.sphinx.autointerface
Package version: 0.6.2
Package release: 2
Package architecture: all
Package type: deb
Installed size: 71 B
Download size: 7.00 KB
Official Mirror: archive.ubuntu.com
This package defines an extension for the Sphinx documentation system. The extension allows generation of API documentation by introspection of zope.interface instances in code.

    Download

    Source package: python-repoze.sphinx.autointerface

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-repoze.sphinx.autointerface deb package:
      # sudo apt-get install python-repoze.sphinx.autointerface

    Files

    • /usr/lib/python2.7/dist-packages/repoze.sphinx.autointerface-0.6.2-nspkg.pth
    • /usr/lib/python2.7/dist-packages/repoze.sphinx.autointerface-0.6.2.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/repoze.sphinx.autointerface-0.6.2.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/repoze.sphinx.autointerface-0.6.2.egg-info/namespace_packages.txt
    • /usr/lib/python2.7/dist-packages/repoze.sphinx.autointerface-0.6.2.egg-info/not-zip-safe
    • /usr/lib/python2.7/dist-packages/repoze.sphinx.autointerface-0.6.2.egg-info/top_level.txt
    • /usr/lib/python2.7/dist-packages/repoze/sphinx/autointerface.py
    • /usr/share/doc/python-repoze.sphinx.autointerface/README.txt
    • /usr/share/doc/python-repoze.sphinx.autointerface/TODO.txt
    • /usr/share/doc/python-repoze.sphinx.autointerface/changelog.Debian.gz
    • /usr/share/doc/python-repoze.sphinx.autointerface/copyright
    • /usr/share/python/ns/python-repoze.sphinx.autointerface

    Changelog

    2014-04-20 - Dimitri John Ledkov <xnox@ubuntu.com> python-repoze.sphinx.autointerface (0.6.2-2) unstable; urgency=low [ Jakub Wilk ] * Use canonical URIs for Vcs-* fields. [ Dimitri John Ledkov ] * Bump debhelper compat to 9, to drop python-support * Add dh_python2 build-dependency * Actually rebuild with dh_python2

    2012-05-02 - Bernhard Reiter <ockham@raz.or.at> python-repoze.sphinx.autointerface (0.6.2-1) unstable; urgency=low * New upstream release. * debian/control: Bump Standards-Version to 3.9.3 * debian/copyright: Fix to comply with copyright-format/1.0 * Migrate from python-support to dh_python2. debian/control: - Remove python-support from Build-Depends. - Build-Depend on python-all (>= 2.6.6-3~). debian/rules: - Add '--with python2' after 'dh $@'

    2010-10-21 - Bernhard Reiter <ockham@raz.or.at> python-repoze.sphinx.autointerface (0.4-1) unstable; urgency=low * Initial release (Closes: #600924)

    Advertisement
    Advertisement